using FitConnect.Models.v1.Api;

namespace FitConnect.Models;

/// <summary>
/// The current status of the submission.
/// </summary>
public class SubmissionState {
    public SubmissionState(EventType statusEventType, List<Problems>? problems) {
        Status = statusEventType;
        Problems = problems;
    }

    public EventType Status { get; }
    public List<Problems>? Problems { get; }

    public void Deconstruct(out EventType status, out List<Problems>? problems) {
        status = Status;
        problems = Problems;
    }
}
