using FitConnect.Models;
using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionForPickupDto : ISubmitted {
    [JsonProperty("submissionId")]
    public string Id { get; set; } = null!;

    [JsonProperty("caseId")]
    public string? CaseId { get; set; }

    [JsonProperty("destinationId")]
    public string? DestinationId { get; set; }

    public string SubmissionId => Id;
}
